package model

import (
	"time"
)

type BArea struct {
	Id        uint32    `gorm:"column:id;not null" json:"id"`
	CountyId  uint32    `gorm:"column:county_id json:"countyId"`
	Name      string    `gorm:"column:name json:"name"`
	Location  string    `gorm:"column:location json:"location"`
	Status    uint16    `gorm:"column:status json:"status"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
