package model

import (
	"time"
)

// 服务商
type BOperator struct {
	Id          uint32    `gorm:"column:id;not null" json:"id"`
	Name        string    `gorm:"column:name json:"name"`
	ShortName   string    `gorm:"column:short_name json:"shortName"`
	CountyId    uint32    `gorm:"column:county_id json:"countyId"`
	Address     string    `gorm:"column:address json:"address"`
	LegalPerson string    `gorm:"column:legal_person json:"legalPerson"`
	LegalPhone  string    `gorm:"column:legal_phone json:"legalPhone"`
	AptitudeUrl string    `gorm:"column:aptitude_url json:"aptitudeUrl"`
	CreatorId   uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId   uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt    time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt    time.Time `gorm:"column:update_at json:"updateAt"`
}
