package model

import (
	"time"
)

// 微信应用配置
type BWechatAppConfig struct {
	Appid     uint32    `gorm:"column:appid;not null" json:"appid"`
	Name      string    `gorm:"column:name json:"name"`
	Secret    string    `gorm:"column:secret json:"secret"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
