package model

import (
	"time"
)

// 微信商户配置
type BWechatMchConfig struct {
	Mchid       string    `gorm:"column:mchid;not null" json:"mchid"`
	Name        string    `gorm:"column:name json:"name"`
	ApiV3Key    string    `gorm:"column:api_v3_key json:"apiV3Key"`
	MchSerialNo string    `gorm:"column:mch_serial_no json:"mchSerialNo"`
	PrivateKey  string    `gorm:"column:private_key json:"privateKey"`
	CreatorId   uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId   uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt    time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt    time.Time `gorm:"column:update_at json:"updateAt"`
}
