package model

import (
	"time"
)

// 微信支付配置
type BWechatPayConfig struct {
	Id            uint32    `gorm:"column:id;not null" json:"id"`
	AreaServiceId uint32    `gorm:"column:area_service_id json:"areaServiceId"`
	SpAppid       string    `gorm:"column:sp_appid json:"spAppid"`
	SpMchid       string    `gorm:"column:sp_mchid json:"spMchid"`
	SubMchid      string    `gorm:"column:sub_mchid json:"subMchid"`
	CreatorId     uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId     uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt      time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt      time.Time `gorm:"column:update_at json:"updateAt"`
}
