package model

import (
	"time"
)

// 微信分账接收方
type BWechatProfitSharingReceiver struct {
	Id        uint32    `gorm:"column:id;not null" json:"id"`
	Type      string    `gorm:"column:type json:"type"`
	Account   string    `gorm:"column:account json:"account"`
	Name      string    `gorm:"column:name json:"name"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
