package model

import (
	"time"
)

// api接口
type SApi struct {
	Id        uint32    `gorm:"column:id;not null" json:"id"`
	ApiPath   string    `gorm:"column:api_path json:"apiPath"`
	ApiMethod string    `gorm:"column:api_method json:"apiMethod"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
