package model

import (
	"time"
)

// 菜单及按钮
type SMenuBtn struct {
	Id        uint32    `gorm:"column:id;not null" json:"id"`
	Name      string    `gorm:"column:name json:"name"`
	Status    bool      `gorm:"column:status json:"status"`
	Explain   string    `gorm:"column:explain json:"explain"`
	ParentId  uint32    `gorm:"column:parent_id json:"parentId"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
