package model

import (
	"time"
)

// 角色
type SRole struct {
	Id        uint32    `gorm:"column:id;not null" json:"id"`
	Name      string    `gorm:"column:name json:"name"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
