package dbmodel

import "time"

//CREATE TABLE IF NOT EXISTS public.u_card_user
//(
//id integer NOT NULL DEFAULT nextval('u_card_user_id_seq'::regclass),
//customer_id integer,
//area_id integer,
//name character varying(32) COLLATE pg_catalog."default",
//sex smallint,
//birthday date,
//grade smallint,
//class smallint,
//student_no character varying(32) COLLATE pg_catalog."default",
//create_at timestamp without time zone,
//update_at timestamp without time zone,
//CONSTRAINT u_card_user_pkey PRIMARY KEY (id)
//)
type TableUserCardUser struct {
	Id         int32  //integer NOT NULL DEFAULT nextval('u_card_user_id_seq'::regclass),
	CustomerId int32  //integer,
	AreaId     int32  //integer,
	Name       string //character varying(32) COLLATE pg_catalog."default",
	Sex        int8   //smallint,
	Birthday   time.Time
	Grade      int8      //smallint,
	Class      int8      //smallint,
	StudentNo  string    //character varying(32) COLLATE pg_catalog."default",
	CreateAt   time.Time //timestamp without time zone,
	UpdateAt   time.Time //timestamp without time zone,
}

func InsertUserCardUser(insertData TableUserCardUser) int8 {
	_, err := stmtInsertUserCardUser.Exec(
		insertData.CustomerId,
		insertData.AreaId,
		insertData.Name,
		insertData.Sex,
		insertData.Birthday,
		insertData.Grade,
		insertData.Class,
		insertData.StudentNo,
	)
	if err == nil {
		return 0
	}
	return 1 //1
}
