package main

import (
	"dc_golang_server_1/config"
	"dc_golang_server_1/devproduct/dcphone20"
	"dc_golang_server_1/logger"
	"dc_golang_server_1/web"
	"dc_golang_server_1/wechat/dao"
	"fmt"
	"runtime"
	"time"
)

//func init() {
//
//}

func initConfigAndLogger() {
	config.ConfigInit()
	logger.InitLogger()
	dao.InitPgDb()
	//突然发现这种方式瓜眉日眼的，以后不用了，直接在shell脚本里面重定向输出文件
	//f, err := os.OpenFile(config.LogPath+"panic.log", os.O_CREATE|os.O_APPEND|os.O_WRONLY, 0755)
	//if err != nil {
	//	logger.Log.Panic(err.Error())
	//}

	//redirectStderrWindows(f)
	//redirectStderrLinux(f)
}

// @title 多彩中小学一卡通系统
// @version V0.0.1
// @Description 用于家长端微信小程序及web端管理后台
// @securityDefinitions.apikey ApiKeyAuth
// @in header
// @name Authorization
// @BasePath /
func main() { //
	fmt.Println(time.Now(), "system init")
	runtime.GOMAXPROCS(runtime.NumCPU())

	initConfigAndLogger()

	//dbmodel.InitDb()
	//defer dbmodel.CloseDb()
	//
	//cache.Init()

	dcphone20.NewDCPhone20()
	//dcdrinking60.NewDCDrinking60()

	web.InitRouter()
}
