package model

import (
	"time"
)

// 区域服务
type BAreaService struct {
	Id           uint32    `gorm:"column:id;not null" json:"id"`
	ServiceType  uint16    `gorm:"column:service_type json:"serviceType"`
	Name         string    `gorm:"column:name json:"name"`
	AreaId       uint32    `gorm:"column:area_id json:"areaId"`
	OperatorId   uint32    `gorm:"column:operator_id json:"operatorId"`
	Manager      string    `gorm:"column:manager json:"manager"`
	ManagerPhone string    `gorm:"column:manager_phone json:"managerPhone"`
	Status       uint16    `gorm:"column:status json:"status"`
	CreatorId    uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId    uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt     time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt     time.Time `gorm:"column:update_at json:"updateAt"`
}
