package model

import (
	"time"
)

// 区域收款信息
type BAreaServiceCollection struct {
	AreaServiceId uint32    `gorm:"column:area_service_id;not null" json:"areaServiceId"`
	ReceiverId    uint32    `gorm:"column:receiver_id;not null" json:"receiverId"`
	Status        bool      `gorm:"column:status json:"status"`
	Rate          uint16    `gorm:"column:rate json:"rate"`
	CreatorId     uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId     uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt      time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt      time.Time `gorm:"column:update_at json:"updateAt"`
}
