package model

import (
	"time"
)

// 用户区域角色
type SAdminRole struct {
	AdminId       uint32    `gorm:"column:admin_id;not null" json:"adminId"`
	RoleId        uint32    `gorm:"column:role_id;not null" json:"roleId"`
	AreaServiceId uint32    `gorm:"column:area_service_id;not null" json:"areaServiceId"`
	CreatorId     uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId     uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt      time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt      time.Time `gorm:"column:update_at json:"updateAt"`
}
