package model

import (
	"time"
)

// 角色接口权限
type SRoleApiAuth struct {
	RoleId    uint32    `gorm:"column:role_id;not null" json:"roleId"`
	ApiId     uint32    `gorm:"column:api_id;not null" json:"apiId"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
