package model

import (
	"time"
)

// 角色菜单权限
type SRoleMenuAuth struct {
	RoleId    uint32    `gorm:"column:role_id;not null" json:"roleId"`
	MenuId    uint32    `gorm:"column:menu_id;not null" json:"menuId"`
	CreatorId uint32    `gorm:"column:creator_id json:"creatorId"`
	UpdaterId uint32    `gorm:"column:updater_id json:"updaterId"`
	CreateAt  time.Time `gorm:"column:create_at json:"createAt"`
	UpdateAt  time.Time `gorm:"column:update_at json:"updateAt"`
}
