package model

import "time"

type UWeCustomer struct {
	Id        uint32    `json:"id"`
	Openid    string    `json:"openid"`    //微信小程序对应的openid
	Unionid   string    `json:"unionid"`   //微信小程序对应的unionid
	Nickname  string    `json:"nickname"`  //微信昵称
	Avatarurl string    `json:"avatarurl"` //微信头像
	Country   string    `json:"country"`
	Province  string    `json:"province"`
	Language  string    `json:"language"`
	CreateAt  time.Time `json:"createAt"`
	LoginAt   time.Time `json:"loginAt"`
	TestRole  bool      `json:"testRole"` //是否是有测试权限
	updaterId uint32
}
